Bug 8180 - Port issue management to new UI tools
Port issue management to new UI tools
Status: NEW
Product: OJS
Classification: Unclassified
Component: User Interface
3.0b
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 17:40 PDT by Alec Smecher
Modified: 2013-07-29 12:58 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2013-03-22 17:40:14 PDT

    
Comment 1 Alec Smecher 2013-03-25 15:10:02 PDT
Initial commit of issue grids
https://github.com/pkp/ojs/commit/78596ae8b50cb0898221062dc9f392f29e7cd4bb
Comment 2 Alec Smecher 2013-03-25 16:05:02 PDT
Move issue deletion over to new handler
https://github.com/pkp/ojs/commit/b08b132505de473e056e6628882f012485984c80
Comment 3 Alec Smecher 2013-03-26 11:39:31 PDT
Features needing retrieving:
- resetIssueOrder
- setCurrentIssue
Comment 4 Alec Smecher 2013-03-26 14:33:26 PDT
- resetSectionOrder
- Issue preview
Comment 5 Alec Smecher 2013-03-26 14:45:02 PDT
Partial transition of issue management
https://github.com/pkp/ojs/commit/883e6abf163b6bf97b9539eb7b1ccf0debac6659
Comment 6 Alec Smecher 2013-03-26 16:35:02 PDT
Added IssueRequiredPolicy
https://github.com/pkp/ojs/commit/b6e312a7bb5247f63ef8c06f1033e37c5725a4bb
Comment 8 Alec Smecher 2013-03-26 17:05:02 PDT
Authorization for issue managemejnt
https://github.com/pkp/ojs/commit/93b401f4c67233fec9b068bfdaeec9b3bbb2d26c
Comment 9 Alec Smecher 2013-03-27 15:15:01 PDT
Partial implementation of TOC grid
https://github.com/pkp/ojs/commit/1d86d24b16aa1927e08227ef013644c99bd99408
Comment 10 Alec Smecher 2013-03-27 16:15:02 PDT
Push constant exposure into PKP lib
https://github.com/pkp/pkp-lib/commit/6a6455781c601a2918b292bacdc09daab40f4d39
Comment 11 Alec Smecher 2013-03-27 16:15:02 PDT
Push constant exposure into PKP lib
https://github.com/pkp/omp/commit/1328062664f1102c0484b161ff0532db1e23dcd1
Comment 12 Alec Smecher 2013-03-28 12:25:02 PDT
Debugging category grid ordering
https://github.com/pkp/ojs/commit/b15b60f36e6e2a12e926be0c2c60ff14af408b2e
Comment 14 Alec Smecher 2013-04-02 16:20:02 PDT
Custom section ordering
https://github.com/pkp/ojs/commit/5e0a75265eded5f3e24b36519353f959e8c4f5f7
Comment 15 Alec Smecher 2013-04-03 13:35:02 PDT
Correct getAuthorizedContextObject call
https://github.com/pkp/ojs/commit/aa0f43d16a1f1cf195ead927d39c8f580803071f
Comment 16 Alec Smecher 2013-04-03 13:35:02 PDT
Partial port of issue data form to FBV
https://github.com/pkp/ojs/commit/8755b35d75a2c1eedb526ba2b24f778bb30f595c
Comment 17 Alec Smecher 2013-04-03 15:10:02 PDT
Continue port of issue data form to FBV
https://github.com/pkp/ojs/commit/ddb240fe512a0273efda7fe650980c7757ceca81
Comment 18 Alec Smecher 2013-04-03 15:40:02 PDT
Remove redundant grid title
https://github.com/pkp/ojs/commit/cdacd1d6d5bc96d08baf0c84d05540daae093d21
Comment 19 Alec Smecher 2013-04-03 18:00:02 PDT
Restore remove article functionality
https://github.com/pkp/ojs/commit/76e6aa7140ec53d43fdc547cc2501e92a4a2175d
Comment 20 Alec Smecher 2013-04-03 18:05:02 PDT
Remove old issue TOC table
https://github.com/pkp/ojs/commit/d64898dce4f76bb1673d6605076a3f94d2f335e5
Comment 21 Alec Smecher 2013-04-03 18:06:36 PDT
Still needing consideration:
- Public article IDs need to be editable/enterable somewhere
- Access controls on articles need to be controllable somewhere
- Publish/unpublish controls need to go somewhere
- Issue cover controls need to be fixed/moved to FBV
- Issue preview needs to go somewhere
- Issue galley form needs to be fixed/moved to FBV
Comment 22 Alec Smecher 2013-04-04 10:00:03 PDT
Improve create/edit issue processes
https://github.com/pkp/ojs/commit/11386e720d7f9ef9b0e67668ffbe1f6242e8dc77
Comment 23 Alec Smecher 2013-04-04 10:40:03 PDT
Issue preview action
https://github.com/pkp/ojs/commit/56b93d17e4a10c10da81670682668b4cbe7ca35c
Comment 24 Alec Smecher 2013-04-04 10:50:03 PDT
Add open window action
https://github.com/pkp/pkp-lib/commit/844a466151034858567b03c87d76f8f83cf50b27
Comment 25 Alec Smecher 2013-04-04 10:50:03 PDT
Preview into new window
https://github.com/pkp/ojs/commit/f1a110fc62c67d00cf6baf20bcd736fe1378d9b0
Comment 26 Alec Smecher 2013-04-04 10:55:02 PDT
Preview to external window; distinguish preview and view
https://github.com/pkp/ojs/commit/e868661dbaee3471947317cbc2cc0e1b403b7c41
Comment 27 Alec Smecher 2013-04-04 11:07:29 PDT
Updated summary of what needs work:
- Public article ID needs adding to metadata form when enabled
- Access controls on articles need to be controllable somewhere
- Publish/unpublish controls need to go somewhere
- Issue cover controls need to be moved to new Cover tab/ported to FBV
- Issue Data's status information/access options are ugly (see John's suggestions)
- Issue galley form needs to be fixed/moved to FBV
Comment 28 Alec Smecher 2013-04-04 11:15:02 PDT
Add workflow link
https://github.com/pkp/ojs/commit/52acf921d14ead4597a1c504481bd9d021df67c1
Comment 29 Alec Smecher 2013-04-04 17:00:03 PDT
Issue publish/unpublish; cover form; tweaks
https://github.com/pkp/ojs/commit/4477ce4043999d3d4dcc5a22997c0fa8c83e5f3d
Comment 30 Alec Smecher 2013-04-04 17:49:01 PDT
Updated:
- Public article ID needs adding to metadata form when enabled
- Access controls on articles need to be controllable somewhere
- Issue cover controls need to be ported to FBV
- Issue Data's status information/access options are ugly (see John's suggestions)
- Issue galley form needs to be fixed/moved to FBV
Comment 31 Alec Smecher 2013-04-05 15:45:03 PDT
Issue CSS file upload
https://github.com/pkp/ojs/commit/83d5cd3d4f41e5159d37fc737f020a7211f403b7
Comment 32 Alec Smecher 2013-04-05 16:31:22 PDT
Updated:
- Public article ID needs adding to metadata form when enabled
- Access controls on articles need to be controllable somewhere
- Issue Data and Issue Cover forms are ugly (see John's suggestions)
- Multilingual checkboxes and file uploads needed for issue cover tab!
Comment 33 Alec Smecher 2013-04-05 16:33:36 PDT
(Also: Issue Galleys.)
Comment 34 Alec Smecher 2013-04-05 16:35:02 PDT
Initial port of cover form to FBV
https://github.com/pkp/ojs/commit/732df2ae595c6cec2607f07d6f3ea4e88d62f539
Comment 36 Alec Smecher 2013-04-10 12:10:03 PDT
Issue galley grid partial port
https://github.com/pkp/ojs/commit/c238abde44be54cc662f03866b6e614972a50c6e
Comment 37 Alec Smecher 2013-04-10 13:20:02 PDT
Issue galley grid tweaking
https://github.com/pkp/ojs/commit/5ef084b348cb5c42e704ea7b0688f21f13b3420a
Comment 38 Alec Smecher 2013-04-10 14:42:54 PDT
Updated:
- Public article ID and page range needs adding to metadata form when enabled
- Access controls on articles need to be controllable somewhere
- Multilingual checkboxes and file uploads needed for issue cover tab
Comment 39 Alec Smecher 2013-04-10 14:45:02 PDT
Fix checkbox label
https://github.com/pkp/ojs/commit/050e713480a4c572bad8b763ee0906b8bcccf68e
Comment 40 Alec Smecher 2013-04-10 15:00:03 PDT
Remove date published from future issues grid
https://github.com/pkp/ojs/commit/e98dc7b0c1800665c8039921ff931764a63b39aa
Comment 42 Alec Smecher 2013-04-30 10:05:03 PDT
Updated:
- Public article ID and page range needs adding to metadata form when enabled
- Access controls on articles need to be controllable somewhere
- Multilingual checkboxes and file uploads needed for issue cover tab
- "Set current issue" removed

The last two involved a batch of code removal in https://github.com/pkp/ojs/commit/c00582f98527117a8475b529673a4f3d44d08c34
Comment 43 Jason Nugent 2013-06-11 11:54:02 PDT
grid fixes, add random string to issue cover image url to prevent caching
https://github.com/pkp/ojs/commit/ff18bb396756720555dbcd2e12bfd1c311547f01
Comment 44 Jason Nugent 2013-06-24 10:58:02 PDT
change column name in SQL
https://github.com/pkp/ojs/commit/3197b9790fdb5d8d1f44f64436cbca720699eee2
Comment 45 Alec Smecher 2013-07-29 12:58:48 PDT
Deferring to beta. Not critical for alpha.